body {
  min-height: 100vh;
  min-height: -webkit-fill-available;
}

html {
  height: -webkit-fill-available;
}

main {
  display: flex;
  flex-wrap: nowrap;
  height: 100vh;
  height: -webkit-fill-available;
  max-height: 100vh;
  overflow-x: auto;
  overflow-y: hidden;
}

:root {
  --jumbotron-padding-y: 3rem;
}

.jumbotron {
  padding-top: var(--jumbotron-padding-y);
  padding-bottom: var(--jumbotron-padding-y);
  margin-bottom: 0;
  background-color: #fff;
}



.jumbotron h1 {
  color: #474e4f;
}

.bg-light-blue {
  background-color: #eef8ff;
  background-image: var(--bs-gradient);
  --bs-bg-opacity: 1;
}

.images-content img {
  align-items: center;
  display:flex;
  width: 5em;
  justify-content: center;
}

.images-content p {
  text-align: left;
}

.text-align-center {
  text-align: center;
}

.images-content h3 {
  margin-top: 20px;
}

.margin-top-30 {
  margin-top: 30px;
}

.margin-left-30 {
  margin-left: 30px;
}

.index-big-text {
  font-size: 2em;
}

.index-big-text span {
  font-size: 3em;
}

.text-bold {
  font-weight: 700;
}

.padding-50-50 {
  padding-bottom: 50px;
  padding-top: 50px;
}

@media (min-width: 768px) {
  .jumbotron {
    padding-bottom: calc(var(--jumbotron-padding-y) * 2);
    padding-top: calc(var(--jumbotron-padding-y) * 2);
  }
}

.jumbotron p:last-child {
  margin-bottom: 0;
}

.jumbotron-heading {
  font-weight: 300;
}

.jumbotron .container {
  max-width: 40rem;
}

datalist {
  color: #6c757d;
  display: flex;
  justify-content: space-between;
  margin: 0 auto;
  width: 90%;
}

input {
  width: 90%;
}

.footer > .container {
  min-height: 50px;
  padding-left: 15px;
  padding-right: 15px;
  position: relative;
}

.footer > .container p {
   margin: 0;
   position: absolute;
   top: 50%;
   transform: translate(0, -50%);
}

.center-90 {
  margin: 0 auto;
  width: 90%;
}

.bg-image-earn {
  position: relative;
  z-index:1;
}

.bg-image-earn::before {
  background: url(../img/graphic_home_1.svg);
  background-position: center;
  background-repeat: no-repeat;
  background-size:contain;
  content: "";
  opacity: 0.2;
  position: absolute;
  left: 0;
  top: 0;
  bottom: 0;
  right: 0;
  z-index: -1;
}

.navbar-nav {
  margin-left: auto;
}
.navbar-brand img {
  padding-bottom: 3px;
}

.device-card {
  border: 1px solid #ebeaea;
  border-radius: 3px;
  box-shadow: 0 1px 3px rgb(0 0 0 / 10%);
  margin-bottom: 20px;
  margin-top: 20px;
}

.device-card .media .media-body {
  padding: 25px 0 30px 25px;
}

.device-card .media .media-body h5 {
  font-size: 24px;
  line-height: 30px;
  letter-spacing: 0.01em;
  margin: 0;
}

.device-status {
  float: left;
  width: 4px;
}

.device-status.online {
  background-color: #53c62a;
}

.device-status.offline {
  background-color: #c62a37;
}

.pagination a {
  cursor: pointer;
}

.info-card-group {
  display: flex;
  display: -webkit-flex;
  flex-wrap: wrap;
}

.info-card {
  border: 1px solid lightgrey;
  border-radius: 10px;
  box-shadow: 0 0.46875rem 2.1875rem rgb(90 97 105 / 10%), 0 0.9375rem 1.40625rem rgb(90 97 105 / 10%), 0 0.25rem 0.53125rem rgb(90 97 105 / 12%), 0 0.125rem 0.1875rem rgb(90 97 105 / 10%);
  display: flex;
  flex: 2;
  flex-direction: column;
  margin: 0px;
  margin-bottom: 30px;
  position: relative;
  width: 30%;
}

.info-card-block {
  padding: 10px;
  background-color: #fff;
  flex: 1;
}

.news-card {
  background-color: #fff;
  border: 1px solid lightgrey;
  border-radius: 10px!important;
  border: none;
}

.text-right {
  text-align: right;
}

.nav-split {
  margin-top: 20px;
}

.footer-links {
  float: right;
  padding-top: 10px;
}

.a-whiteLogo {
    width: 64px;
    height: 100%
}

.-flex {
    display: flex;
    display: -ms-flexbox;
}

.-flex.-column {
    flex-direction: column;
}

.-flex.-space-between {
    justify-content: space-between;
}

.m-copyright-line {
    margin-top: 24px;
}

.m-copyright-line .a-copyright {
    color: #ADBCC3;
    font-size: 12px;
    line-height: 14px;
}

.m-copyright-line a {
    color: white;
    font-size: 14px;
    line-height: 16px;
}

footer {
    --bs-bg-opacity: 1;
    background-color: rgba(var(--bs-dark-rgb),var(--bs-bg-opacity))!important;
    padding: 32px 0;
}

.m-footer-menu {
    width: 312px;
}

.m-social-icons {
    width: 128px;
}

@media only screen and (max-width: 677px) {
    footer .m-copyright-line {
        display: flex;
        flex-direction: column-reverse;
        align-items: center;
    }

    footer .m-copyright-line .a-copyright {
        margin-top: 24px;
    }
}

.btn-success {
    background-color: #f5aa28 !important;
    border-color: #ffc648 !important;
}